TARGETS	= $(OBJDIR)clint.log $(OBJDIR)fixme.log $(OBJDIR)xmllint.log
OBJDIR	=
PREFIX	= /usr/local
DESTDIR	=
RM	= rm -f
LN	= ln -f
MKDIR	= mkdir -m 0755 -p
INSTALL	= install


all:

$(OBJDIR)clint.log: clint.sh
	./clint.sh -P "$(PREFIX)" -O CFLAGS="-I/usr/include `pkg-config --cflags libDesktop`" -- "$(OBJDIR)clint.log"

$(OBJDIR)fixme.log: fixme.sh
	./fixme.sh -P "$(PREFIX)" -- "$(OBJDIR)fixme.log"

$(OBJDIR)xmllint.log: xmllint.sh
	./xmllint.sh -P "$(PREFIX)" -- "$(OBJDIR)xmllint.log"

clean:
	./clint.sh -c -P "$(PREFIX)" -O CFLAGS="-I/usr/include `pkg-config --cflags libDesktop`" -- "$(OBJDIR)clint.log"
	./fixme.sh -c -P "$(PREFIX)" -- "$(OBJDIR)fixme.log"
	./xmllint.sh -c -P "$(PREFIX)" -- "$(OBJDIR)xmllint.log"

distclean: clean
	$(RM) -- $(TARGETS)

install: all

uninstall:

.PHONY: all clean distclean install uninstall
